@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700&display=swap');


html {
    background-color: hsl(0, 45%, 81%);
}
/* Headline Section */
header {
    display: flex;
    justify-content: space-evenly ;
    background-color: hsl(0, 45%, 81%);
    padding-bottom: 10rem;
}
h1 {
    font-family: Montserrat, sans-serif;
    font-weight: 500;
}
#headline{
	background-image: url("img/16zu9.png");
	background-size: cover;
	background-position: top center;
	position: relative;
    margin-top: auto;
	z-index: 1;	
}

#headline::after {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	opacity: .5;
	z-index: -1;
}
#headline .headline{
	max-width: 1200px;
	margin: 0 auto;
	justify-content: flex-start;
}
#headline h1{
	display: black;
	width: fit-content;
	font-size: 4rem;
	position: relative;
	color: transparent;
	animation: text_reveal .5s ease forwards;
	animation-delay: 1s;
}
#headline h1:nth-child(1){
	animation-delay: 1s;
}
#headline h1:nth-child(2){
	animation-delay: 2s;
}
#headline h1:nth-child(3){
	animation: text_reveal_name .5s ease forwards;
	animation-delay: 3s;
}
#headline h1 span{
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 0;
	background-color: #8B2F2F;
	animation: text_reveal_box 1s ease;
	animation-delay: .5s;
}
#headline h1:nth-child(1) span{
	animation-delay: .5s;
}
#headline h1:nth-child(2) span{
	animation-delay: 1.5s;
}
#headline h1:nth-child(3) span{
	animation-delay: 2.5s;
}

/* End Headline Section */

main {
    background-color: hsl(0, 45%, 81%);
}

.relative {
    position: relative;
}

.bigcircle {
    background: #B33B3B;
    width: 350px;
    height: 350px;
    border-radius: 90%;
    padding: 1rem;
    border: 12px dotted ghostwhite;
    animation: drehen linear 4.5s infinite;
}

.clearfix {
    overflow: hidden;
}

.smallcircle1 {
    width: 180px;
    height: 180px;
    background: #3E1616;
    position: absolute;
    bottom: -70rem;
    border-radius: 35%;
    left: 10%;
    border: 5px ridge white;
   /* animation: drehen linear 4.5s infinite; */
    transition: all .8s ease;
}

.smallcircle1:hover {
    transform: scale(.3);
    background: #C95757;
}

.smallcircle2 {
    width: 180px;
    height: 180px;
    background: #8B2F2F;
    position: absolute;
    border-radius: 90%;
    bottom: -70rem;
    left: 50%;
    border: 15px dotted white;
    animation: drehen linear 4.5s infinite;
}
.smallcircle3 {
    width: 180px;
    height: 180px;
    background: #C95757;
    position: absolute;
    border-radius: 90%;
    bottom: -70rem;
    right: 10%;
    border: 15px dashed black;
    animation: drehen linear 4.5s infinite;
}

.links {
    height: 200px;
    animation: stretch1 ease 2.5s alternate infinite;
}

.rechts {
    height: 200px;
    position: absolute;
    right: 0;
    margin-top: 3rem;
    animation: stretch1 ease 2.5s alternate-reverse infinite;
}

.halfleft {
    height: 200px;
    position: absolute;
    bottom: -600px;
    animation: stretch2 linear 1.5s alternate-reverse infinite;
}

.halfright {
    height: 200px;
    position: absolute;
    bottom: -600px;
    right: 0;
    animation: stretch2 linear 1.5s alternate-reverse infinite;
}

/* Keyframes */

@keyframes drehen {
    from {transform: rotate(0deg);}
    to {transform: rotate(360deg);}
}

@keyframes grow {
    from {size:1;}
    to {size:2;}
}

@keyframes stretch1 {
    from {width: 0; background: #3E1616;}
    to {width: 100%; background: #C95757;}
}

@keyframes stretch2 {
    from {width: 0; background: #642323;}
    to {width: 50%; background: #B33B3B;}
}


@keyframes text_reveal_box{
	50%{
		width: 100%;
		left: 0;
	}
	100%{
	width: 0;
	left: 100%;
	}
}
@keyframes text_reveal{
	100%{
		color: #333;
	}
}
@keyframes text_reveal_name{
	100%{
		color: #8B2F2F;
		font-weight: 500;
	}
}

/* End Keyframes */